Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.faces.component.portlet
Class PortletRenderEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              javax.faces.event.ActionEvent
                  org.jboss.portal.faces.component.portlet.PortletEvent
                      org.jboss.portal.faces.component.portlet.PortletRenderEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PortletRenderEvent

extends PortletEvent

Version:
  $Revision: 11068 $
Author:
  Julien Viet
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PortletRenderEvent(javax.faces.component.UIComponent uiComponent, java.util.Map<java.lang.String,java.lang.String[]> navState, org.jboss.portal.Mode mode, org.jboss.portal.WindowState windowState)`

Method Summary
`java.lang.String` | `getMode()`
`java.util.Map` | `getParameterMap()`
`java.lang.String` | `getWindowState()`
`void` | `setMode(java.lang.String mode)`
`void` | `setWindowState(java.lang.String windowState)`

Methods inherited from class org.jboss.portal.faces.component.portlet.PortletEvent
`isAppropriateListener, processListener`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletRenderEvent

    public PortletRenderEvent(javax.faces.component.UIComponent uiComponent,
                              java.util.Map<java.lang.String,java.lang.String[]> navState,
                              org.jboss.portal.Mode mode,
                              org.jboss.portal.WindowState windowState)

Method Detail

### getParameterMap

    public java.util.Map getParameterMap()

### getMode

    public java.lang.String getMode()

### setMode

    public void setMode(java.lang.String mode)

### getWindowState

    public java.lang.String getWindowState()

### setWindowState

    public void setWindowState(java.lang.String windowState)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD